import express, { Request, Response } from "express";
import { getAllProtocols, getProtocolById } from "../../controller/admin/protocolController";

var router = express.Router({ mergeParams: true });

router.get("/", async (req: Request, res: Response) => {
  await getAllProtocols(req, res);
});

router.get("/:id", async (req: Request, res: Response) => {
  await getProtocolById(req, res);
});

export default router;
